Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82102 - rhn_check cannot refresh package list
Summary: rhn_check cannot refresh package list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-17 15:43 UTC by Cliff Dugal
Modified: 2007-04-18 16:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-05 21:18:02 UTC


Attachments (Terms of Use)

Description Cliff Dugal 2003-01-17 15:43:37 UTC
Description of problem: 
rhn_check seems to have a bug that does not allow scheduled package list 
refreshes to be completed. 
 
Version-Release number of selected component (if applicable): 
I have up2date-3.0.7-1. I seem to remember older versions working. 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Shedule package list refresh from rhn web interface 
2. run rhn_check on computer by hand 
3. Get message "ERROR: refreshing remote package list for System Profile" 
     
Actual results: 
ERROR: refreshing remote package list for System Profile 
 
Expected results: 
Package list uploaded to rhn 
 
Additional info: 
Fix by changing line 280 in packages.py from 
rhnPackageProfile.updatePackageProfile() 
to 
rhnPackageInfo.updatePackageProfile()

Comment 1 Adrian Likins 2004-04-05 21:18:02 UTC
This is fixed in all currently supported releases.


Note You need to log in before you can comment on or make changes to this bug.